real environment access for OS-GETENV

01/26/2015 11:40 AM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No vendor_id: GCD

Description

History

#1 - 01/26/2015 11:46 AM - Greg Shah

Today we map OS-GETENV to the JVM System.getProperty() which does not real from real environment variables, but instead reads properties

created by the JVM or passed to the JVM at instantiation using the -D command line parameter.

But most Progress apps actually rely heavily upon child processes for integration with other apps and the OS itself.  This often means that real

environment variables are in use and are needed to make everything work.

We already have the native code written to properly read environment vars directly in the client process.  Switch out the System.getProperty()

approach in FileSystemDaemon.getProperty() and go to an approach that first attempts to read the environment using native code and then if not

found, reads from System.getProperty() as a fall-back.

#2 - 03/31/2016 08:44 AM - Greg Shah

- Status changed from New to Closed

- Assignee set to Eugenie Lyzenko

- Start date deleted (01/26/2015)

- % Done changed from 0 to 100

The change to add this feature was put into branch 1896c which was merged to trunk as revision 10990.

#3 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Powered by TCPDF (www.tcpdf.org)

05/05/2024 1/1

http://www.tcpdf.org

